diff --git a/functional/ControlsTests/test/javafx/scene/control/test/labeled/LabeledsBase.java b/functional/ControlsTests/test/javafx/scene/control/test/labeled/LabeledsBase.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/labeled/LabeledsBase.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/labeled/LabeledsBase.java
@@ -26,7 +26,7 @@
 
 import client.test.ScreenshotCheck;
 import client.test.Smoke;
-import com.sun.javafx.scene.control.skin.LabeledText;
+import com.sun.javafx.scene.control.LabeledText;
 import javafx.collections.ObservableList;
 import javafx.geometry.Bounds;
 import javafx.scene.Node;
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/nchart/AxisDescriptionProvider.java b/functional/ControlsTests/test/javafx/scene/control/test/nchart/AxisDescriptionProvider.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/nchart/AxisDescriptionProvider.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/nchart/AxisDescriptionProvider.java
@@ -24,7 +24,7 @@
  */
 package javafx.scene.control.test.nchart;
 
-import com.sun.javafx.scene.control.skin.LabeledText;
+import com.sun.javafx.scene.control.LabeledText;
 import java.util.ArrayList;
 import java.util.List;
 import javafx.geometry.Side;
@@ -188,4 +188,4 @@
             }
         }.dispatch(Root.ROOT.getEnvironment());
     }
-}
\ No newline at end of file
+}
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/pagination/TestBase.java b/functional/ControlsTests/test/javafx/scene/control/test/pagination/TestBase.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/pagination/TestBase.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/pagination/TestBase.java
@@ -24,7 +24,7 @@
  */
 package javafx.scene.control.test.pagination;
 
-import com.sun.javafx.scene.control.skin.LabeledText;
+import com.sun.javafx.scene.control.LabeledText;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Comparator;
@@ -147,7 +147,7 @@
     }
 
     protected void checkScrollingOfFormComponentScrollBar() {
-        Wrap<? extends ScrollBar> scrollBar = findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true);
+        Wrap<? extends ScrollBar> scrollBar = findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true);
         scrollBar.mouse().turnWheel(-1);
         testedControl.waitState(new State<Integer>() {
             public Integer reached() {
@@ -273,7 +273,7 @@
     }
 
     protected Wrap<? extends ScrollBar> getScrollbarWrap(boolean visible) {
-        return findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, visible);
+        return findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, visible);
     }
 
     protected void checkNumberOfVisiblePageIndeces(int expectedIndeces) {
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/tableview/ApplicationInteractionFunctions.java b/functional/ControlsTests/test/javafx/scene/control/test/tableview/ApplicationInteractionFunctions.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/tableview/ApplicationInteractionFunctions.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/tableview/ApplicationInteractionFunctions.java
@@ -24,8 +24,8 @@
  */
 package javafx.scene.control.test.tableview;
 
-import com.sun.javafx.scene.control.skin.NestedTableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableColumnHeader;
+import javafx.scene.control.skin.NestedTableColumnHeader;
+import javafx.scene.control.skin.TableColumnHeader;
 import java.util.Collection;
 import java.util.Comparator;
 import java.util.concurrent.TimeUnit;
@@ -397,4 +397,4 @@
         } catch (Exception e) {
         }
     }
-}
\ No newline at end of file
+}
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewNewTest.java b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewNewTest.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewNewTest.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewNewTest.java
@@ -26,9 +26,9 @@
 package javafx.scene.control.test.tableview;
 
 import client.test.Smoke;
-import com.sun.javafx.scene.control.skin.NestedTableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableColumnHeader;
-import com.sun.javafx.scene.control.skin.TableHeaderRow;
+import javafx.scene.control.skin.NestedTableColumnHeader;
+import javafx.scene.control.skin.TableColumnHeader;
+import javafx.scene.control.skin.TableHeaderRow;
 import java.awt.Robot;
 import java.awt.event.InputEvent;
 import java.util.ArrayList;
@@ -210,14 +210,14 @@
 
     private void checkSortNotScrollingFor(String name, int index) {
         scrollTo(index, 0);
-        final double initialScrollPos = getScrollBarValue(findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true));
+        final double initialScrollPos = getScrollBarValue(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true));
         getTableColumnHeaderWrap(name).mouse().click();
         getTableColumnHeaderWrap(name).mouse().click();
         getTableColumnHeaderWrap(name).mouse().click();
         getTableColumnHeaderWrap(name).mouse().click();
         new Waiter(new Timeout("", 500)).ensureState(new State() {
             public Object reached() {
-                if (Math.abs(initialScrollPos - getScrollBarValue(findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true))) < 0.001) {
+                if (Math.abs(initialScrollPos - getScrollBarValue(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true))) < 0.001) {
                     return true;
                 } else {
                     return null;
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewTest.java b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewTest.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewTest.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TableViewTest.java
@@ -143,7 +143,6 @@
      * Checks that sort works for the column. According to the spec there are
      * three states of sorting and all of them are checked
      *
-     * http://xdesign.us.oracle.com/projects/javaFX/fxcontrols-ue/specifications/treetable/treetable.html#sorting
      */
     @Smoke
     @Test(timeout = 300000)
@@ -459,4 +458,4 @@
         txtColumnRemoveIndex.type(String.valueOf(pos));
         btnRemoveColumn.mouse().click();
     }
-}
\ No newline at end of file
+}
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBase.java b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBase.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBase.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBase.java
@@ -24,7 +24,7 @@
  */
 package javafx.scene.control.test.tableview;
 
-import com.sun.javafx.scene.control.skin.TableColumnHeader;
+import javafx.scene.control.skin.TableColumnHeader;
 import java.util.ArrayList;
 import java.util.Collection;
 import java.util.Collections;
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBaseCommon.java b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBaseCommon.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBaseCommon.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/tableview/TestBaseCommon.java
@@ -198,11 +198,11 @@
      * @return wrap of parent container that contains Cells
      */
     static Wrap<? extends javafx.scene.Parent> getContainerWrap(Wrap<? extends Control> parent) {
-        return getParentWrap(parent.as(Parent.class, Node.class), VIRTIAL_FLOW_CLASS_NAME);
+        return getParentWrap((Parent<Node>)parent.as(Parent.class, Node.class), VIRTIAL_FLOW_CLASS_NAME);
     }
 
     static Wrap<? extends javafx.scene.Parent> getClippedContainerWrap(Wrap<? extends Control> parent) {
-        return getParentWrap(parent.as(Parent.class, Node.class), CLIPPED_CONTAINER_CLASS_NAME);
+        return getParentWrap((Parent<Node>)parent.as(Parent.class, Node.class), CLIPPED_CONTAINER_CLASS_NAME);
     }
 
     static private Wrap<? extends javafx.scene.Parent> getParentWrap(Parent<Node> parent, final String className) {
@@ -466,4 +466,4 @@
     }
     private static final String VIRTIAL_FLOW_CLASS_NAME = "VirtualFlow";
     private static final String CLIPPED_CONTAINER_CLASS_NAME = "VirtualFlow$ClippedContainer";
-}
\ No newline at end of file
+}
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/tabpane/NewTabPaneTest.java b/functional/ControlsTests/test/javafx/scene/control/test/tabpane/NewTabPaneTest.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/tabpane/NewTabPaneTest.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/tabpane/NewTabPaneTest.java
@@ -36,7 +36,6 @@
 import javafx.scene.Node;
 import javafx.scene.control.Label;
 import javafx.scene.control.Tab;
-import javafx.scene.control.TabBuilder;
 import static javafx.scene.control.test.tabpane.NewTabPaneApp.*;
 import javafx.scene.control.test.utils.ptables.AbstractPropertyController.SettingType;
 import javafx.util.StringConverter;
@@ -333,7 +332,9 @@
             @Override public String toString(Tab t) { return t.getText(); }
 
             @Override public Tab fromString(String s) {
-                return TabBuilder.create().text(s).content(new Label("CONTENT!")).build();
+                Tab t = new Tab(s);
+                t.setContent(new Label("CONTENT!"));
+                return t;
             }
         };
 
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextAreaPropertiesTest.java b/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextAreaPropertiesTest.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextAreaPropertiesTest.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextAreaPropertiesTest.java
@@ -77,18 +77,18 @@
         addText();
         //There are both scrollBars must exist
 
-        assertEquals(getScrollBarValue(findScrollBar(testedControl.as(Parent.class, Node.class), orientation, true)), 0, 0);
+        assertEquals(getScrollBarValue(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), orientation, true)), 0, 0);
 
         double[] values = {10, 0, 50, 0, 100};
 
         setPropertyBySlider(SettingType.BIDIRECTIONAL, property, 10);
-        double item = getScrollBarValue(findScrollBar(testedControl.as(Parent.class, Node.class), orientation, true)) / 10;
+        double item = getScrollBarValue(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), orientation, true)) / 10;
 
         for (SettingType type : EnumSet.of(SettingType.BIDIRECTIONAL, SettingType.SETTER, SettingType.UNIDIRECTIONAL)) {
             for (double value : values) {
                 setPropertyBySlider(type, property, value);
                 checkTextFieldValue(property, value);
-                assertEquals(getScrollBarValue(findScrollBar(testedControl.as(Parent.class, Node.class), orientation, true)), value * item, 0.1 * item);
+                assertEquals(getScrollBarValue(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), orientation, true)), value * item, 0.1 * item);
             }
         }
 
@@ -133,13 +133,13 @@
         for (SettingType type : EnumSet.of(SettingType.BIDIRECTIONAL, SettingType.SETTER, SettingType.UNIDIRECTIONAL)) {
             setPropertyByToggleClick(type, Properties.wraptext);//true//bind
             checkTextFieldText(Properties.wraptext, "true");//getter
-            Assert.assertFalse(findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, false) == null);//behavior
-            Assert.assertFalse(findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, true) == null);//behavior
+            Assert.assertFalse(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, false) == null);//behavior
+            Assert.assertFalse(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, true) == null);//behavior
 
             setPropertyByToggleClick(type, Properties.wraptext);//false//bind
             checkTextFieldText(Properties.wraptext, "false");//getter
-            Assert.assertFalse(findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true) == null);//behavior
-            Assert.assertFalse(findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, false) == null);//behavior
+            Assert.assertFalse(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.HORIZONTAL, true) == null);//behavior
+            Assert.assertFalse(findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, false) == null);//behavior
         }
     }
 
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextInputBase.java b/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextInputBase.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextInputBase.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/textinput/TextInputBase.java
@@ -25,7 +25,7 @@
 package javafx.scene.control.test.textinput;
 
 import client.test.ScreenshotCheck;
-import com.sun.javafx.scene.control.skin.TextInputControlSkin;
+import javafx.scene.control.skin.TextInputControlSkin;
 import java.lang.reflect.Field;
 import java.util.HashMap;
 import java.util.HashSet;
@@ -82,7 +82,7 @@
     }
     private Wrap<? extends TextInputControl> taTesting = null;
 
-    static final KeyboardModifiers CTRL = Utils.isMacOS() ? KeyboardModifiers.META_DOWN_MASK : KeyboardModifiers.CTRL_DOWN_MASK;
+    static final KeyboardModifiers CTRL = Utils.isMacOS() ? KeyboardModifiers.ALT_DOWN_MASK : KeyboardModifiers.CTRL_DOWN_MASK;
 //    /**
 //     * Test for TextInput setMaximumLength API
 //     */
@@ -523,6 +523,7 @@
         } else {
             checkState("Copy", true);
             checkState("Cut", true);
+            getScene().keyboard().pushKey(KeyboardButtons.ESCAPE);
         }
 
         initContext();
@@ -611,12 +612,17 @@
 
         String text = getTextFromControl();
         final String initialText = text;
-        while (!"".equals(text)) {
+        if (isPasswordField()) {
+            taTesting.keyboard().pushKey(Keyboard.KeyboardButtons.BACK_SPACE, CTRL);
+            if (Utils.isMacOS()) {
+                Assert.assertEquals("", getTextFromControl());
+            } else {
+                Assert.assertEquals(initialText, getTextFromControl());
+            }
+        } else {
+            while (!text.isEmpty()) {
             text = deleteLastWord(text);
             taTesting.keyboard().pushKey(Keyboard.KeyboardButtons.BACK_SPACE, CTRL);
-            if (isPasswordField()) {
-                Assert.assertEquals(initialText, getTextFromControl());
-            } else {
                 if (!text.equals(getTextFromControl())) {
                     out(initialText, text);
                 }
@@ -633,7 +639,7 @@
         String text = getTextFromControl();
         final String initialText = text;
         while (!"".equals(text)) {
-            text = deleteFirstWord(text, true);
+            text = deleteFirstWord(text, Utils.isMacOS() ? false : true);
             taTesting.keyboard().pushKey(Keyboard.KeyboardButtons.DELETE, CTRL);
             if (isPasswordField()) {
                 Assert.assertEquals(initialText, getTextFromControl());
@@ -675,13 +681,14 @@
      */
     private String deleteFirstWord(String text, boolean deleteFromBeginning) {
         final String[] punctuation = new String[]{" ", "\n", "\t", "/", ",", ";", "!", "@", "#", "$", "%", "^", "*", "(", ")", "&", "."};
+
         if (!deleteFromBeginning) {
             while (startsWithAnyOf(text, punctuation)) {
                 text = text.substring(1);
             }
             text = removeLeadingChars(text, punctuation);
         } else {
-            if (!Utils.isWindows()) {
+            if (Utils.isLinux()) {
                 if (' ' == text.charAt(0)) {
                     int pos = 0;
                     while(' ' == text.charAt(pos)) ++pos;
@@ -691,12 +698,20 @@
                 }
             }
 
+            if ('\n' == text.charAt(0)) {
+                text = text.substring(1);
+                return text;
+            }
+
             text = removeLeadingChars(text, punctuation);
 
+            if ('\n' == text.charAt(0)) {
+                return text;
+            }
+            if (Utils.isLinux()) {
+                return text;
+            }
             while (startsWithAnyOf(text, punctuation)) {
-                if (!Utils.isWindows()) {
-                    break;
-                }
                 text = text.substring(1);
             }
         }
@@ -737,7 +752,7 @@
         final Wrap<? extends TextInputControl> wrap = getScene().as(Parent.class, Node.class).lookup(TextInputControl.class).wrap();
         wrap.as(Text.class).clear();
         wrap.as(Text.class).type(SAMPLE_STRING);
-        wrap.keyboard().pushKey(KeyboardButtons.A, Utils.isMacOS() ? KeyboardModifiers.META_DOWN_MASK : CTRL);
+        wrap.keyboard().pushKey(KeyboardButtons.A, Utils.isMacOS() ? KeyboardModifiers.META_DOWN_MASK : KeyboardModifiers.CTRL_DOWN_MASK);
         new GetAction() {
             @Override
             public void run(Object... os) throws Exception {
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/treeview/TestBase.java b/functional/ControlsTests/test/javafx/scene/control/test/treeview/TestBase.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/treeview/TestBase.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/treeview/TestBase.java
@@ -321,7 +321,7 @@
     protected void checkScrollingState(final double scrollValue, boolean beginVisible, boolean endVisible, int size) {
         testedControl.waitState(new State() {
             public Object reached() {
-                Wrap<? extends ScrollBar> sb = findScrollBar(testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, true);
+                Wrap<? extends ScrollBar> sb = findScrollBar((Parent<Node>)testedControl.as(Parent.class, Node.class), Orientation.VERTICAL, true);
                 if (Math.abs(sb.getControl().getValue() - scrollValue) < 0.01) {
                     return true;
                 } else {
@@ -773,4 +773,4 @@
         }.dispatch(testedControl.getEnvironment(), handler);
     }
 
-}
\ No newline at end of file
+}
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/treeview/TreeViewTest.java b/functional/ControlsTests/test/javafx/scene/control/test/treeview/TreeViewTest.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/treeview/TreeViewTest.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/treeview/TreeViewTest.java
@@ -27,7 +27,7 @@
 import client.test.Smoke;
 import com.oracle.jdk.sqe.cc.markup.Covers;
 import com.oracle.jdk.sqe.cc.markup.Covers.Level;
-import com.sun.javafx.scene.control.skin.TableHeaderRow;
+import javafx.scene.control.skin.TableHeaderRow;
 import java.util.Comparator;
 import java.util.HashMap;
 import java.util.Map;
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/util/MultipleSelectionHelper.java b/functional/ControlsTests/test/javafx/scene/control/test/util/MultipleSelectionHelper.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/util/MultipleSelectionHelper.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/util/MultipleSelectionHelper.java
@@ -60,6 +60,14 @@
         this.columns = columns;
     }
 
+    public void setColumnsNum(int columns) {
+        this.columns = columns;
+    }
+
+    public void setRowsNum(int rows) {
+        this.rows = rows;
+    }
+
     /**
      * ALARM: must be called before pushing key combination, from code, which
      * knows, how to understand, which area is visible now. And this visible
diff --git a/functional/ControlsTests/test/javafx/scene/control/test/util/UtilTestFunctions.java b/functional/ControlsTests/test/javafx/scene/control/test/util/UtilTestFunctions.java
--- a/functional/ControlsTests/test/javafx/scene/control/test/util/UtilTestFunctions.java
+++ b/functional/ControlsTests/test/javafx/scene/control/test/util/UtilTestFunctions.java
@@ -88,6 +88,8 @@
 import test.javaclient.shared.TestUtil;
 import test.javaclient.shared.Utils;
 
+import com.sun.javafx.scene.NodeHelper;
+
 /**
  * @author Alexander Kirov
  *
@@ -815,10 +817,16 @@
                         setResult(((Node) os[0]).localToScene((Double) os[1], (Double) os[2]));
                     }
                 }.dispatch(Root.ROOT.getEnvironment(), wrap.getControl(), Double.valueOf(wrap.getScreenBounds().width / 4), Double.valueOf(wrap.getScreenBounds().height / 4));
+
+                // The following line requires --add-exports javafx.graphics/com.sun.javafx.scene.input=ALL-UNNAMED
                 final PickResultChooser result = new PickResultChooser();
 
+                // The following line requires --add-exports javafx.graphics/com.sun.javafx.geom=ALL-UNNAMED
                 //public PickRay(Vec3d origin, Vec3d direction, double nearClip, double farClip) {
-                (((Wrap<? extends Scene>) os[0]).getControl()).getRoot().impl_pickNode(new PickRay(new Vec3d(pointOnScene.getX(), pointOnScene.getY(), -10), new Vec3d(0, 0, 1), 1.0, 100), result);
+                NodeHelper.pickNode(
+                    (((Wrap<? extends Scene>) os[0]).getControl()).getRoot(),
+                    new PickRay(new Vec3d(pointOnScene.getX(), pointOnScene.getY(), -10), new Vec3d(0, 0, 1), 1.0, 100),
+                    result);
                 Node node = result.getIntersectedNode();
                 node.fireEvent(scrollEvent);
             }
diff --git a/functional/FXCssTests/src/test/css/controls/ComplexButtonCssTests.java b/functional/FXCssTests/src/test/css/controls/ComplexButtonCssTests.java
--- a/functional/FXCssTests/src/test/css/controls/ComplexButtonCssTests.java
+++ b/functional/FXCssTests/src/test/css/controls/ComplexButtonCssTests.java
@@ -24,8 +24,8 @@
  */
 package test.css.controls;
 
-import javafx.scene.control.ButtonBuilder;
-import javafx.scene.control.ToolBarBuilder;
+import javafx.scene.control.Button;
+import javafx.scene.control.ToolBar;
 import javafx.scene.layout.Pane;
 import test.javaclient.shared.BasicButtonChooserApp;
 import test.javaclient.shared.PageWithSlots;
@@ -69,17 +69,16 @@
         Pane slot = new Pane();
         slot.setPrefSize(200, 200);
         if (page == Pages.IPHONE_TOOLBAR) {
-            slot.getChildren().add(ToolBarBuilder.create()
-                    .id(page.name().toLowerCase())
-                    .items(
-                    ButtonBuilder.create().text("iPhone").id("iphone").build())
-                    .build());
+            Button b = new Button("iPhone");
+            b.setId("iphone");
+            ToolBar temp = new ToolBar(b);
+            temp.setId(page.name().toLowerCase());
+            slot.getChildren().add(temp);
         } else {
-            slot.getChildren().add(ButtonBuilder.create()
-                    .text("Button")
-                    .id(page.name().toLowerCase())
-                    .minWidth(100)
-                    .build());
+            Button temp = new Button("Button");
+            temp.setId(page.name().toLowerCase());
+            temp.setMinWidth(100);
+            slot.getChildren().add(temp);
         }
         pageWithSlot.add(new TestNodeLeaf(page.name(), slot));
         return pageWithSlot;
